package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Refund_child;
import com.realnet.vpspack.Services.Refund_childService ;
























@RequestMapping(value = "/Refund_child")
 @CrossOrigin("*") 
@RestController
public class Refund_childController {
	@Autowired
	private Refund_childService Service;

@Value("${projectPath}")
	private String projectPath;
 
























	@PostMapping("/Refund_child")
		  public Refund_child Savedata(@RequestBody Refund_child data) {
		Refund_child save = Service.Savedata(data)	;























		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Refund_child/{id}")
	public  Refund_child update(@RequestBody Refund_child data,@PathVariable Integer id ) {
		Refund_child update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Refund_child/getall/page")
	public Page<Refund_child> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Refund_child> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Refund_child")
	public List<Refund_child> getdetails() {
		 List<Refund_child> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Refund_child")
	public List<Refund_child> getallwioutsec() {
		 List<Refund_child> get = Service.getdetails();		
		return get;
}
@GetMapping("/Refund_child/{id}")
	public  Refund_child  getdetailsbyId(@PathVariable Integer id ) {
		Refund_child  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Refund_child/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

























}